Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.xml.domain.impl
Class ResourceDescriptor

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor

    public class ResourceDescriptor

extends java.lang.Object

Field Summary
`static byte` | `DT_TYPE_DATE`
`static byte` | `DT_TYPE_DATE_TIME`
`static byte` | `DT_TYPE_NUMBER`
`static byte` | `DT_TYPE_TEXT` These constants are copied here from DataType for facility
`static byte` | `IC_TYPE_BOOLEAN` These constants are copied here from InputControl for facility
`static byte` | `IC_TYPE_MULTI_SELECT_LIST_OF_VALUES`
`static byte` | `IC_TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX`
`static byte` | `IC_TYPE_MULTI_SELECT_QUERY`
`static byte` | `IC_TYPE_MULTI_SELECT_QUERY_CHECKBOX`
`static byte` | `IC_TYPE_MULTI_VALUE`
`static byte` | `IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES`
`static byte` | `IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO`
`static byte` | `IC_TYPE_SINGLE_SELECT_QUERY`
`static byte` | `IC_TYPE_SINGLE_SELECT_QUERY_RADIO`
`static byte` | `IC_TYPE_SINGLE_VALUE`
`static java.lang.String` | `PROP_CONTENT_RESOURCE_TYPE`
`static java.lang.String` | `PROP_CREATION_DATE`
`static java.lang.String` | `PROP_DATASOURCE_BEAN_METHOD`
`static java.lang.String` | `PROP_DATASOURCE_BEAN_NAME`
`static java.lang.String` | `PROP_DATASOURCE_CONNECTION_URL`
`static java.lang.String` | `PROP_DATASOURCE_CUSTOM_PROPERTY_MAP`
`static java.lang.String` | `PROP_DATASOURCE_CUSTOM_SERVICE_CLASS`
`static java.lang.String` | `PROP_DATASOURCE_DRIVER_CLASS`
`static java.lang.String` | `PROP_DATASOURCE_JNDI_NAME`
`static java.lang.String` | `PROP_DATASOURCE_PASSWORD`
`static java.lang.String` | `PROP_DATASOURCE_USERNAME`
`static java.lang.String` | `PROP_DATATYPE_MAX_VALUE`
`static java.lang.String` | `PROP_DATATYPE_MIN_VALUE`
`static java.lang.String` | `PROP_DATATYPE_PATTERN`
`static java.lang.String` | `PROP_DATATYPE_STRICT_MAX`
`static java.lang.String` | `PROP_DATATYPE_STRICT_MIN`
`static java.lang.String` | `PROP_DATATYPE_TYPE`
`static java.lang.String` | `PROP_FILERESOURCE_HAS_DATA`
`static java.lang.String` | `PROP_FILERESOURCE_IS_REFERENCE`
`static java.lang.String` | `PROP_FILERESOURCE_REFERENCE_URI`
`static java.lang.String` | `PROP_FILERESOURCE_WSTYPE`
`static java.lang.String` | `PROP_INPUTCONTROL_IS_MANDATORY`
`static java.lang.String` | `PROP_INPUTCONTROL_IS_READONLY`
`static java.lang.String` | `PROP_INPUTCONTROL_TYPE`
`static java.lang.String` | `PROP_LOV`
`static java.lang.String` | `PROP_LOV_LABEL`
`static java.lang.String` | `PROP_LOV_VALUE`
`static java.lang.String` | `PROP_PARENT_FOLDER`
`static java.lang.String` | `PROP_QUERY`
`static java.lang.String` | `PROP_QUERY_DATA`
`static java.lang.String` | `PROP_QUERY_DATA_ROW`
`static java.lang.String` | `PROP_QUERY_DATA_ROW_COLUMN`
`static java.lang.String` | `PROP_QUERY_LANGUAGE`
`static java.lang.String` | `PROP_QUERY_VALUE_COLUMN`
`static java.lang.String` | `PROP_QUERY_VISIBLE_COLUMN_NAME`
`static java.lang.String` | `PROP_QUERY_VISIBLE_COLUMNS`
`static java.lang.String` | `PROP_RESOURCE_TYPE`
`static java.lang.String` | `PROP_RU_DATASOURCE_TYPE`
`static java.lang.String` | `PROP_RU_INPUTCONTROL_RENDERING_VIEW`
`static java.lang.String` | `PROP_RU_IS_MAIN_REPORT`
`static java.lang.String` | `PROP_RU_REPORT_RENDERING_VIEW`
`static java.lang.String` | `PROP_VERSION`
`static java.lang.String` | `PROP_XMLA_CATALOG`
`static java.lang.String` | `PROP_XMLA_DATASOURCE`
`static java.lang.String` | `PROP_XMLA_PASSWORD`
`static java.lang.String` | `PROP_XMLA_URI`
`static java.lang.String` | `PROP_XMLA_USERNAME`
`static java.lang.String` | `TYPE_ACCESS_GRANT_SCHEMA`
`static java.lang.String` | `TYPE_CLASS_JAR`
`static java.lang.String` | `TYPE_CONTENT_RESOURCE`
`static java.lang.String` | `TYPE_DATA_TYPE`
`static java.lang.String` | `TYPE_DATASOURCE`
`static java.lang.String` | `TYPE_DATASOURCE_BEAN`
`static java.lang.String` | `TYPE_DATASOURCE_CUSTOM`
`static java.lang.String` | `TYPE_DATASOURCE_JDBC`
`static java.lang.String` | `TYPE_DATASOURCE_JNDI`
`static java.lang.String` | `TYPE_FOLDER`
`static java.lang.String` | `TYPE_FONT`
`static java.lang.String` | `TYPE_IMAGE`
`static java.lang.String` | `TYPE_INPUT_CONTROL`
`static java.lang.String` | `TYPE_JRXML`
`static java.lang.String` | `TYPE_LOV`
`static java.lang.String` | `TYPE_MONDRIAN_SCHEMA`
`static java.lang.String` | `TYPE_OLAP_MONDRIAN_CONNECTION`
`static java.lang.String` | `TYPE_OLAP_XMLA_CONNECTION`
`static java.lang.String` | `TYPE_QUERY`
`static java.lang.String` | `TYPE_REFERENCE`
`static java.lang.String` | `TYPE_REPORTUNIT`
`static java.lang.String` | `TYPE_RESOURCE_BUNDLE`
`static java.lang.String` | `TYPE_UNKNOW`

Constructor Summary
`ResourceDescriptor()`

Method Summary
`java.lang.String` | `getBeanMethod()`
`java.lang.String` | `getBeanName()`
`java.util.List` | `getChildren()`
`java.lang.String` | `getConnectionUrl()`
`byte` | `getControlType()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDataSourceType()`
`byte` | `getDataType()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDriverClass()`
`boolean` | `getHasData()`
`boolean` | `getIsNew()`
`boolean` | `getIsReference()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getLabel()`
`java.util.List` | `getListOfValues()` Returns the property PROP_LOV as a list of ListItem....
`java.lang.String` | `getMaxValue()`
`java.lang.String` | `getMinValue()`
`java.lang.String` | `getName()`
`java.util.List` | `getParameters()`
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPattern()`
`java.util.List` | `getProperties()` Return the List of properties.
`java.util.Map` | `getPropertyMap()`
`java.util.List` | `getQueryData()` Return the property PROP_QUERY_DATA as set of InputControlQueryDataRow the structure is as follow: PROP_QUERY_DATA { PROP_QUERY_DATA_ROW { PROP_QUERY_DATA_COLUMN_VALUE } } } This method is performed only once, and the result is cached in queryDataCache.
`java.lang.String` | `getQueryValueColumn()`
`java.lang.String[]` | `getQueryVisibleColumns()` Return the set of visible columns as a String array....
`java.lang.String` | `getReferenceUri()`
`ResourceProperty` | `getResourceProperty(java.lang.String resourcePropertyName)`
`java.lang.String` | `getResourcePropertyValue(java.lang.String resourcePropertyName)` Return the value of the property resourcePropertyName as String Return null if the property is not found or the [operty value is null.
`java.lang.Boolean` | `getResourcePropertyValueAsBoolean(java.lang.String resourcePropertyName)` Return the value of the property resourcePropertyName as Boolean Return null if the property is not found
`java.lang.Integer` | `getResourcePropertyValueAsInteger(java.lang.String resourcePropertyName)` Return the value of the property resourcePropertyName as Integer Return null if the property is not found or is not an integer
`java.lang.String` | `getResourceType()`
`java.lang.String` | `getServiceClass()`
`java.lang.String` | `getSql()`
`java.lang.String` | `getUriString()`
`java.lang.String` | `getUsername()`
`int` | `getVersion()` Return the value for the property PROP_VERSION.
`java.lang.String` | `getWsType()`
`boolean` | `isMainReport()`
`boolean` | `isMandatory()`
`boolean` | `isReadOnly()`
`boolean` | `isStrictMax()`
`boolean` | `isStrictMin()`
`void` | `removeResourceProperty(ResourceProperty rp)` Remove all the resource properties with name = rp.getName()
`void` | `removeResourceProperty(java.lang.String resourcePropertyName)` Remove all resources with name = resourcePropertyName
`void` | `setBeanMethod(java.lang.String beanMethod)`
`void` | `setBeanName(java.lang.String beanName)`
`void` | `setChildren(java.util.List children)`
`void` | `setConnectionUrl(java.lang.String connectionUrl)`
`void` | `setControlType(byte controlType)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDataSourceType(java.lang.String dataSourceType)`
`void` | `setDataType(byte dataType)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setHasData(boolean hasData)`
`void` | `setIsNew(boolean isNew)`
`void` | `setIsReference(boolean isReference)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setLabel(java.lang.String label)`
`void` | `setListOfValues(java.util.List listOfValues)` Convenient way to create tje LOV property from a list of ListItem
`void` | `setMainReport(boolean isMainReport)`
`void` | `setMandatory(boolean mandatory)`
`void` | `setMaxValue(java.lang.String maxValue)`
`void` | `setMinValue(java.lang.String minValue)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.util.List parameters)`
`void` | `setParentFolder(java.lang.String parentFolder)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setProperties(java.util.List properties)` Replace all the properties with the specified list.
`void` | `setPropertyMap(java.util.Map map)`
`void` | `setQueryData(java.util.List queryData)` Convenient way to create the PROP_QUERY_DATA properties from a set of InputControlQueryDataRow the structure will be create as follow: PROP_QUERY_DATA { PROP_QUERY_DATA_ROW { PROP_QUERY_DATA_COLUMN_VALUE } } } A call to this method will set to null the queryDataCache
`void` | `setQueryValueColumn(java.lang.String queryValueColumn)`
`void` | `setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)` Set the list of columns using a String array The result is a new ResourceProperty (PROP_QUERY_VISIBLE_COLUMNS) filled with a set of children, one per column.
`void` | `setReadOnly(boolean readOnly)`
`void` | `setReferenceUri(java.lang.String referenceUri)`
`void` | `setResourceProperty(ResourceProperty rp)` Add or replace the resource property in the ResourceDescriptor.
`void` | `setResourceProperty(java.lang.String resourcePropertyName, java.lang.String value)` Setting a property to a null value is the same as remove it.
`void` | `setResourceType(java.lang.String resourceType)`
`void` | `setServiceClass(java.lang.String svcClass)`
`void` | `setSql(java.lang.String sql)`
`void` | `setStrictMax(boolean strictMax)`
`void` | `setStrictMin(boolean strictMin)`
`void` | `setUriString(java.lang.String uriString)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(int version)`
`void` | `setWsType(java.lang.String wsType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_FOLDER

    public static final java.lang.String TYPE_FOLDER

See Also:
  Constant Field Values

### TYPE_REPORTUNIT

    public static final java.lang.String TYPE_REPORTUNIT

See Also:
  Constant Field Values

### TYPE_DATASOURCE

    public static final java.lang.String TYPE_DATASOURCE

See Also:
  Constant Field Values

### TYPE_DATASOURCE_JDBC

    public static final java.lang.String TYPE_DATASOURCE_JDBC

See Also:
  Constant Field Values

### TYPE_DATASOURCE_JNDI

    public static final java.lang.String TYPE_DATASOURCE_JNDI

See Also:
  Constant Field Values

### TYPE_DATASOURCE_BEAN

    public static final java.lang.String TYPE_DATASOURCE_BEAN

See Also:
  Constant Field Values

### TYPE_DATASOURCE_CUSTOM

    public static final java.lang.String TYPE_DATASOURCE_CUSTOM

See Also:
  Constant Field Values

### TYPE_IMAGE

    public static final java.lang.String TYPE_IMAGE

See Also:
  Constant Field Values

### TYPE_FONT

    public static final java.lang.String TYPE_FONT

See Also:
  Constant Field Values

### TYPE_JRXML

    public static final java.lang.String TYPE_JRXML

See Also:
  Constant Field Values

### TYPE_CLASS_JAR

    public static final java.lang.String TYPE_CLASS_JAR

See Also:
  Constant Field Values

### TYPE_RESOURCE_BUNDLE

    public static final java.lang.String TYPE_RESOURCE_BUNDLE

See Also:
  Constant Field Values

### TYPE_REFERENCE

    public static final java.lang.String TYPE_REFERENCE

See Also:
  Constant Field Values

### TYPE_INPUT_CONTROL

    public static final java.lang.String TYPE_INPUT_CONTROL

See Also:
  Constant Field Values

### TYPE_DATA_TYPE

    public static final java.lang.String TYPE_DATA_TYPE

See Also:
  Constant Field Values

### TYPE_OLAP_MONDRIAN_CONNECTION

    public static final java.lang.String TYPE_OLAP_MONDRIAN_CONNECTION

See Also:
  Constant Field Values

### TYPE_OLAP_XMLA_CONNECTION

    public static final java.lang.String TYPE_OLAP_XMLA_CONNECTION

See Also:
  Constant Field Values

### TYPE_MONDRIAN_SCHEMA

    public static final java.lang.String TYPE_MONDRIAN_SCHEMA

See Also:
  Constant Field Values

### TYPE_ACCESS_GRANT_SCHEMA

    public static final java.lang.String TYPE_ACCESS_GRANT_SCHEMA

See Also:
  Constant Field Values

### TYPE_UNKNOW

    public static final java.lang.String TYPE_UNKNOW

See Also:
  Constant Field Values

### TYPE_LOV

    public static final java.lang.String TYPE_LOV

See Also:
  Constant Field Values

### TYPE_QUERY

    public static final java.lang.String TYPE_QUERY

See Also:
  Constant Field Values

### TYPE_CONTENT_RESOURCE

    public static final java.lang.String TYPE_CONTENT_RESOURCE

See Also:
  Constant Field Values

### DT_TYPE_TEXT

    public static final byte DT_TYPE_TEXT

  These constants are copied here from DataType for facility

  See Also:
    Constant Field Values

### DT_TYPE_NUMBER

    public static final byte DT_TYPE_NUMBER

See Also:
  Constant Field Values

### DT_TYPE_DATE

    public static final byte DT_TYPE_DATE

See Also:
  Constant Field Values

### DT_TYPE_DATE_TIME

    public static final byte DT_TYPE_DATE_TIME

See Also:
  Constant Field Values

### IC_TYPE_BOOLEAN

    public static final byte IC_TYPE_BOOLEAN

  These constants are copied here from InputControl for facility

  See Also:
    Constant Field Values

### IC_TYPE_SINGLE_VALUE

    public static final byte IC_TYPE_SINGLE_VALUE

See Also:
  Constant Field Values

### IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES

    public static final byte IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### IC_TYPE_SINGLE_SELECT_QUERY

    public static final byte IC_TYPE_SINGLE_SELECT_QUERY

See Also:
  Constant Field Values

### IC_TYPE_MULTI_VALUE

    public static final byte IC_TYPE_MULTI_VALUE

See Also:
  Constant Field Values

### IC_TYPE_MULTI_SELECT_LIST_OF_VALUES

    public static final byte IC_TYPE_MULTI_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### IC_TYPE_MULTI_SELECT_QUERY

    public static final byte IC_TYPE_MULTI_SELECT_QUERY

See Also:
  Constant Field Values

### IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO

    public static final byte IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO

See Also:
  Constant Field Values

### IC_TYPE_SINGLE_SELECT_QUERY_RADIO

    public static final byte IC_TYPE_SINGLE_SELECT_QUERY_RADIO

See Also:
  Constant Field Values

### IC_TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX

    public static final byte IC_TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX

See Also:
  Constant Field Values

### IC_TYPE_MULTI_SELECT_QUERY_CHECKBOX

    public static final byte IC_TYPE_MULTI_SELECT_QUERY_CHECKBOX

See Also:
  Constant Field Values

### PROP_VERSION

    public static final java.lang.String PROP_VERSION

See Also:
  Constant Field Values

### PROP_PARENT_FOLDER

    public static final java.lang.String PROP_PARENT_FOLDER

See Also:
  Constant Field Values

### PROP_RESOURCE_TYPE

    public static final java.lang.String PROP_RESOURCE_TYPE

See Also:
  Constant Field Values

### PROP_CREATION_DATE

    public static final java.lang.String PROP_CREATION_DATE

See Also:
  Constant Field Values

### PROP_FILERESOURCE_HAS_DATA

    public static final java.lang.String PROP_FILERESOURCE_HAS_DATA

See Also:
  Constant Field Values

### PROP_FILERESOURCE_IS_REFERENCE

    public static final java.lang.String PROP_FILERESOURCE_IS_REFERENCE

See Also:
  Constant Field Values

### PROP_FILERESOURCE_REFERENCE_URI

    public static final java.lang.String PROP_FILERESOURCE_REFERENCE_URI

See Also:
  Constant Field Values

### PROP_FILERESOURCE_WSTYPE

    public static final java.lang.String PROP_FILERESOURCE_WSTYPE

See Also:
  Constant Field Values

### PROP_DATASOURCE_DRIVER_CLASS

    public static final java.lang.String PROP_DATASOURCE_DRIVER_CLASS

See Also:
  Constant Field Values

### PROP_DATASOURCE_CONNECTION_URL

    public static final java.lang.String PROP_DATASOURCE_CONNECTION_URL

See Also:
  Constant Field Values

### PROP_DATASOURCE_USERNAME

    public static final java.lang.String PROP_DATASOURCE_USERNAME

See Also:
  Constant Field Values

### PROP_DATASOURCE_PASSWORD

    public static final java.lang.String PROP_DATASOURCE_PASSWORD

See Also:
  Constant Field Values

### PROP_DATASOURCE_JNDI_NAME

    public static final java.lang.String PROP_DATASOURCE_JNDI_NAME

See Also:
  Constant Field Values

### PROP_DATASOURCE_BEAN_NAME

    public static final java.lang.String PROP_DATASOURCE_BEAN_NAME

See Also:
  Constant Field Values

### PROP_DATASOURCE_BEAN_METHOD

    public static final java.lang.String PROP_DATASOURCE_BEAN_METHOD

See Also:
  Constant Field Values

### PROP_DATASOURCE_CUSTOM_SERVICE_CLASS

    public static final java.lang.String PROP_DATASOURCE_CUSTOM_SERVICE_CLASS

See Also:
  Constant Field Values

### PROP_DATASOURCE_CUSTOM_PROPERTY_MAP

    public static final java.lang.String PROP_DATASOURCE_CUSTOM_PROPERTY_MAP

See Also:
  Constant Field Values

### PROP_RU_DATASOURCE_TYPE

    public static final java.lang.String PROP_RU_DATASOURCE_TYPE

See Also:
  Constant Field Values

### PROP_RU_IS_MAIN_REPORT

    public static final java.lang.String PROP_RU_IS_MAIN_REPORT

See Also:
  Constant Field Values

### PROP_RU_INPUTCONTROL_RENDERING_VIEW

    public static final java.lang.String PROP_RU_INPUTCONTROL_RENDERING_VIEW

See Also:
  Constant Field Values

### PROP_RU_REPORT_RENDERING_VIEW

    public static final java.lang.String PROP_RU_REPORT_RENDERING_VIEW

See Also:
  Constant Field Values

### PROP_DATATYPE_STRICT_MAX

    public static final java.lang.String PROP_DATATYPE_STRICT_MAX

See Also:
  Constant Field Values

### PROP_DATATYPE_STRICT_MIN

    public static final java.lang.String PROP_DATATYPE_STRICT_MIN

See Also:
  Constant Field Values

### PROP_DATATYPE_MIN_VALUE

    public static final java.lang.String PROP_DATATYPE_MIN_VALUE

See Also:
  Constant Field Values

### PROP_DATATYPE_MAX_VALUE

    public static final java.lang.String PROP_DATATYPE_MAX_VALUE

See Also:
  Constant Field Values

### PROP_DATATYPE_PATTERN

    public static final java.lang.String PROP_DATATYPE_PATTERN

See Also:
  Constant Field Values

### PROP_DATATYPE_TYPE

    public static final java.lang.String PROP_DATATYPE_TYPE

See Also:
  Constant Field Values

### PROP_LOV

    public static final java.lang.String PROP_LOV

See Also:
  Constant Field Values

### PROP_LOV_LABEL

    public static final java.lang.String PROP_LOV_LABEL

See Also:
  Constant Field Values

### PROP_LOV_VALUE

    public static final java.lang.String PROP_LOV_VALUE

See Also:
  Constant Field Values

### PROP_INPUTCONTROL_TYPE

    public static final java.lang.String PROP_INPUTCONTROL_TYPE

See Also:
  Constant Field Values

### PROP_INPUTCONTROL_IS_MANDATORY

    public static final java.lang.String PROP_INPUTCONTROL_IS_MANDATORY

See Also:
  Constant Field Values

### PROP_INPUTCONTROL_IS_READONLY

    public static final java.lang.String PROP_INPUTCONTROL_IS_READONLY

See Also:
  Constant Field Values

### PROP_QUERY

    public static final java.lang.String PROP_QUERY

See Also:
  Constant Field Values

### PROP_QUERY_VISIBLE_COLUMNS

    public static final java.lang.String PROP_QUERY_VISIBLE_COLUMNS

See Also:
  Constant Field Values

### PROP_QUERY_VISIBLE_COLUMN_NAME

    public static final java.lang.String PROP_QUERY_VISIBLE_COLUMN_NAME

See Also:
  Constant Field Values

### PROP_QUERY_VALUE_COLUMN

    public static final java.lang.String PROP_QUERY_VALUE_COLUMN

See Also:
  Constant Field Values

### PROP_QUERY_LANGUAGE

    public static final java.lang.String PROP_QUERY_LANGUAGE

See Also:
  Constant Field Values

### PROP_QUERY_DATA

    public static final java.lang.String PROP_QUERY_DATA

See Also:
  Constant Field Values

### PROP_QUERY_DATA_ROW

    public static final java.lang.String PROP_QUERY_DATA_ROW

See Also:
  Constant Field Values

### PROP_QUERY_DATA_ROW_COLUMN

    public static final java.lang.String PROP_QUERY_DATA_ROW_COLUMN

See Also:
  Constant Field Values

### PROP_XMLA_URI

    public static final java.lang.String PROP_XMLA_URI

See Also:
  Constant Field Values

### PROP_XMLA_CATALOG

    public static final java.lang.String PROP_XMLA_CATALOG

See Also:
  Constant Field Values

### PROP_XMLA_DATASOURCE

    public static final java.lang.String PROP_XMLA_DATASOURCE

See Also:
  Constant Field Values

### PROP_XMLA_USERNAME

    public static final java.lang.String PROP_XMLA_USERNAME

See Also:
  Constant Field Values

### PROP_XMLA_PASSWORD

    public static final java.lang.String PROP_XMLA_PASSWORD

See Also:
  Constant Field Values

### PROP_CONTENT_RESOURCE_TYPE

    public static final java.lang.String PROP_CONTENT_RESOURCE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### ResourceDescriptor

    public ResourceDescriptor()

Method Detail

### getWsType

    public java.lang.String getWsType()

### setWsType

    public void setWsType(java.lang.String wsType)

### getUriString

    public java.lang.String getUriString()

### setUriString

    public void setUriString(java.lang.String uriString)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getVersion

    public int getVersion()

  Return the value for the property PROP_VERSION. If no version is set, 0 is returned

### setVersion

    public void setVersion(int version)

### getParentFolder

    public java.lang.String getParentFolder()

### setParentFolder

    public void setParentFolder(java.lang.String parentFolder)

### getResourceType

    public java.lang.String getResourceType()

### setResourceType

    public void setResourceType(java.lang.String resourceType)

### getIsNew

    public boolean getIsNew()

### setIsNew

    public void setIsNew(boolean isNew)

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

### getHasData

    public boolean getHasData()

### setHasData

    public void setHasData(boolean hasData)

### getIsReference

    public boolean getIsReference()

### setIsReference

    public void setIsReference(boolean isReference)

### getReferenceUri

    public java.lang.String getReferenceUri()

### setReferenceUri

    public void setReferenceUri(java.lang.String referenceUri)

### getDriverClass

    public java.lang.String getDriverClass()

### setDriverClass

    public void setDriverClass(java.lang.String driverClass)

### getConnectionUrl

    public java.lang.String getConnectionUrl()

### setConnectionUrl

    public void setConnectionUrl(java.lang.String connectionUrl)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getJndiName

    public java.lang.String getJndiName()

### setJndiName

    public void setJndiName(java.lang.String jndiName)

### setServiceClass

    public void setServiceClass(java.lang.String svcClass)

### getServiceClass

    public java.lang.String getServiceClass()

### setPropertyMap

    public void setPropertyMap(java.util.Map map)

### getPropertyMap

    public java.util.Map getPropertyMap()

### getDataSourceType

    public java.lang.String getDataSourceType()

### setDataSourceType

    public void setDataSourceType(java.lang.String dataSourceType)

### isMainReport

    public boolean isMainReport()

### setMainReport

    public void setMainReport(boolean isMainReport)

### getChildren

    public java.util.List getChildren()

### setChildren

    public void setChildren(java.util.List children)

### isStrictMax

    public boolean isStrictMax()

### setStrictMax

    public void setStrictMax(boolean strictMax)

### isStrictMin

    public boolean isStrictMin()

### setStrictMin

    public void setStrictMin(boolean strictMin)

### getMinValue

    public java.lang.String getMinValue()

### setMinValue

    public void setMinValue(java.lang.String minValue)

### getMaxValue

    public java.lang.String getMaxValue()

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getDataType

    public byte getDataType()

### setDataType

    public void setDataType(byte dataType)

### getListOfValues

    public java.util.List getListOfValues()

  Returns the property PROP_LOV as a list of ListItem.... Columns name are looked for in the property PROP_LOV, name="LABEL" and value="value" i.e. test1 test2 are in the list.

### setListOfValues

    public void setListOfValues(java.util.List listOfValues)

  Convenient way to create tje LOV property from a list of ListItem

### getControlType

    public byte getControlType()

### setControlType

    public void setControlType(byte controlType)

### isMandatory

    public boolean isMandatory()

### setMandatory

    public void setMandatory(boolean mandatory)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getBeanName

    public java.lang.String getBeanName()

### setBeanName

    public void setBeanName(java.lang.String beanName)

### getBeanMethod

    public java.lang.String getBeanMethod()

### setBeanMethod

    public void setBeanMethod(java.lang.String beanMethod)

### getSql

    public java.lang.String getSql()

### setSql

    public void setSql(java.lang.String sql)

### getQueryVisibleColumns

    public java.lang.String[] getQueryVisibleColumns()

  Return the set of visible columns as a String array.... Columns name are looked for in the property PROP_QUERY_VISIBLE_COLUMNS, all children of this property with type PROP_QUERY_VISIBLE_COLUMN_NAME are in the list.

### setQueryVisibleColumns

    public void setQueryVisibleColumns(java.lang.String[] queryVisibleColumns)

  Set the list of columns using a String array The result is a new ResourceProperty (PROP_QUERY_VISIBLE_COLUMNS) filled with a set of children, one per column.

### getQueryValueColumn

    public java.lang.String getQueryValueColumn()

### setQueryValueColumn

    public void setQueryValueColumn(java.lang.String queryValueColumn)

### getQueryData

    public java.util.List getQueryData()

  Return the property PROP_QUERY_DATA as set of InputControlQueryDataRow the structure is as follow: PROP_QUERY_DATA { PROP_QUERY_DATA_ROW { PROP_QUERY_DATA_COLUMN_VALUE } } } This method is performed only once, and the result is cached in queryDataCache. Subsequent calls to this method will return always queryDataCache.

### setQueryData

    public void setQueryData(java.util.List queryData)

  Convenient way to create the PROP_QUERY_DATA properties from a set of InputControlQueryDataRow the structure will be create as follow: PROP_QUERY_DATA { PROP_QUERY_DATA_ROW { PROP_QUERY_DATA_COLUMN_VALUE } } } A call to this method will set to null the queryDataCache

### getProperties

    public java.util.List getProperties()

  Return the List of properties. Don't add properties directly! Use setResourceProperty instead!

### setProperties

    public void setProperties(java.util.List properties)

  Replace all the properties with the specified list. The internal hashmap is updated.

### setResourceProperty

    public void setResourceProperty(java.lang.String resourcePropertyName,
                                    java.lang.String value)

  Setting a property to a null value is the same as remove it.

### setResourceProperty

    public void setResourceProperty(ResourceProperty rp)

  Add or replace the resource property in the ResourceDescriptor.

### removeResourceProperty

    public void removeResourceProperty(ResourceProperty rp)

  Remove all the resource properties with name = rp.getName()

### removeResourceProperty

    public void removeResourceProperty(java.lang.String resourcePropertyName)

  Remove all resources with name = resourcePropertyName

### getResourceProperty

    public ResourceProperty getResourceProperty(java.lang.String resourcePropertyName)

### getResourcePropertyValue

    public java.lang.String getResourcePropertyValue(java.lang.String resourcePropertyName)

  Return the value of the property resourcePropertyName as String Return null if the property is not found or the [operty value is null.

### getResourcePropertyValueAsBoolean

    public java.lang.Boolean getResourcePropertyValueAsBoolean(java.lang.String resourcePropertyName)

  Return the value of the property resourcePropertyName as Boolean Return null if the property is not found

### getResourcePropertyValueAsInteger

    public java.lang.Integer getResourcePropertyValueAsInteger(java.lang.String resourcePropertyName)

  Return the value of the property resourcePropertyName as Integer Return null if the property is not found or is not an integer

### getParameters

    public java.util.List getParameters()

### setParameters

    public void setParameters(java.util.List parameters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.